/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangyan <wangyan@kylinos.cn>
 *
 */

#ifndef DEVICEHELPER_H
#define DEVICEHELPER_H

#include <QString>
#include "common.h"

namespace DeviceHelper {

QList<Device> getOutputs();
QList<Device> getTouchDevices();

QString getInputName(int id);
QString getInputProductId(int id);
QString getInputSerial(int id);

bool hasTouchScreen();
void mapToOutput(int inputDeviceId, const QString& outputName);

bool isPrimaryOutput(int id);
}

#endif // DEVICEHELPER_H
